# help

Shows a help document

Usage

    help.open [-n] [-m] [document: string]

Description

Finds the first available help browser in the current frame then opens the specified [document]. If no [document] is specified it the documentation index is shown. If no help browser is available , a new one is created. [document] can be an absolute path or a relative one: in this case the document is searched in the KVIrc documentation directory.
If no document has been found using absolute and relative paths, the first document matching [document] in the help search database is shown. Otherway, an error page is displayed.[br/] The help browser has limited html browsing capabilities: you can use it to view simple html files on your filesystem.
This command is an alias for the [cmd]help.open[cmd] command exported by the "help" module.

Switches

-m | --mdi
The created browser is a MDI window, otherwise it is a static window.
-n | --new
The window creation is forced even if there are other help browsers already open.

Syntax Specification

    help.open [-n] [-m] [document: string]

Examples

    help /home/pragma/myfile.html    //absolute path
    help cmd_snd.play.html        //relative path
    help "Binding operator"        //keyword search, remember quoting
    help OnNickServAuth        //keyword search for an event
    help \$my.user            //keyword search, $ needs to be escaped

See also
help.open

Index, Commands

KVIrc 4.0.4.5646 Documentation
Generated by ports-amd64 at Wed Mar 28 06:03:17 2012